Name:           softflowd
Version:        0.9.8
Release:        2%{?dist}
Summary:        Network traffic analyser capable of Cisco NetFlow data export

Group:          System Environment/Daemons
License:        BSD
URL:            http://www.mindrot.org/softflowd.html
Source:         http://www.mindrot.org/files/softflowd/%{name}-%{version}.tar.gz
Source1:        softflowd.init
Source2:        softflowd.sysconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel

%description
SoftFlowd is a software implementation of a flow-based network traffic
monitor.  softflowd reads network traffic and gathers information about
active traffic flows.  A "traffic flow" is communication between two IP
addresses or (if the overlying protocol is TCP or UDP) address/port tuples.
The intended use of softflowd is as a software implementation of Cisco’s
NetFlow traffic account system.  softflowd supports data export using
versions 1, 5 or 9 of the NetFlow protocol.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__install} -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/softflowd
%{__install} -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/softflowd


%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add softflowd
fi


%preun
if [ $1 = 0 ]; then
    /sbin/service softflowd stop > /dev/null 2>&1
    /sbin/chkconfig --del softflowd
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README TODO
%config(noreplace) %{_sysconfdir}/sysconfig/softflowd
%attr(755,root,root) %{_initrddir}/softflowd
%{_sbindir}/*
%{_mandir}/man8/*



%changelog
* Thu Oct 15 2009 Denis Frolov <d.frolov81 at mail.ru> 0.9.8-2
- Rebuild for CentALT

* Sun Jul 13 2008 Denis Frolov <d.frolov81 at mail.ru> 0.9.8-1
- Initial build for Red Hat Club Repository